Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeContactsContainer

All Superinterfaces:
  IContactsContainer, IContainer, IExchangeContainer, IGroupwareContainer, IItem, java.io.Serializable

public interface IExchangeContactsContainer
extends IContactsContainer, IExchangeContainer

Container class that holds Exchange contacts. Its container class is `container.contacts.exchange`. The additional functionality this interface provides is the ability to synchronize the contents.

Field Summary
`static ContainerClass` | `CLASS` The `ContainerClass` that represents an `IExchangeContactsContainer`.

Fields inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`KEYID_TOTAL_ITEM_COUNT, KEYID_UNREAD_ITEM_COUNT, TOTAL_ITEM_COUNT, UNREAD_ITEM_COUNT`

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`IContact[]` | `resolve(java.lang.String sInfo, FetchProfile fp)` Resolves the string to contacts.

Methods inherited from interface com.compoze.collab.groupware.IContactsContainer
`getContacts, getContacts, getContacts`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`getTotalItemCount, getUnreadItemCount`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.exchange.IExchangeContainer
`getAccessControl, synchronize`

Field Detail

### CLASS

    public static final ContainerClass CLASS

  The `ContainerClass` that represents an `IExchangeContactsContainer`.

Method Detail

### resolve

    public IContact[] resolve(java.lang.String sInfo,
                              FetchProfile fp)
                       throws CollaborationException

  Resolves the string to contacts. The user information can be a name or part of the email address. The steps are taken to resolve a name against the address list:
  - If the info contains an '@', create a prefix, no-case content restriction with `IExchangeContact.EMAIL1_ADDRESS`.
  - Otherwise use an `OR` restriction of (all ignoring case):
    - `IContact.DISPLAY_NAME` substring.
    - `IExchangeContact.EMAIL1_ADDRESS` prefix.
    - `IExchangeContact.FILE_AS` prefix.

  Specified by:
    `resolve` in interface `IContactsContainer`
  Parameters:
    `sInfo` - the user info to resolve
    `fp` - the fetch profile to use when fetching
  Returns:
    an array of contacts (length = `0`, unresolved; length = `1`, resolved; `>1`, ambiguous entries
  Throws:
    `CollaborationException` - if there was an error resolving the info

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.